<?php
/*映射学生信息数据库表:t_Student*/
class Student {
	/*学号*/
	private $studentNumber;
	public function setStudentNumber($studentNumber) {
		$this->studentNumber = $studentNumber;
	}
	public function getstudentNumber() {
		return $this->studentNumber;
	}
	/*姓名*/
	private $studentName;
	public function setStudentName($studentName) {
		$this->studentName = $studentName;
	}
	public function getstudentName() {
		return $this->studentName;
	}
	/*登录密码*/
	private $studentPassword;
	public function setStudentPassword($studentPassword) {
		$this->studentPassword = $studentPassword;
	}
	public function getstudentPassword() {
		return $this->studentPassword;
	}
	/*性别*/
	private $studentSex;
	public function setStudentSex($studentSex) {
		$this->studentSex = $studentSex;
	}
	public function getstudentSex() {
		return $this->studentSex;
	}
	/*所在班级*/
	private $studentClassNumber;
	public function setStudentClassNumber($studentClassNumber) {
		$this->studentClassNumber = $studentClassNumber;
	}
	public function getstudentClassNumber() {
		return $this->studentClassNumber;
	}
	/*出生日期*/
	private $studentBirthday;
	public function setStudentBirthday($studentBirthday) {
		$this->studentBirthday = $studentBirthday;
	}
	public function getstudentBirthday() {
		return $this->studentBirthday;
	}
	/*政治面貌*/
	private $studentState;
	public function setStudentState($studentState) {
		$this->studentState = $studentState;
	}
	public function getstudentState() {
		return $this->studentState;
	}
	/*学生照片*/
	private $studentPhoto;
	public function setStudentPhoto($studentPhoto) {
		$this->studentPhoto = $studentPhoto;
	}
	public function getstudentPhoto() {
		return $this->studentPhoto;
	}
	/*联系电话*/
	private $studentTelephone;
	public function setStudentTelephone($studentTelephone) {
		$this->studentTelephone = $studentTelephone;
	}
	public function getstudentTelephone() {
		return $this->studentTelephone;
	}
	/*学生邮箱*/
	private $studentEmail;
	public function setStudentEmail($studentEmail) {
		$this->studentEmail = $studentEmail;
	}
	public function getstudentEmail() {
		return $this->studentEmail;
	}
	/*联系qq*/
	private $studentQQ;
	public function setStudentQQ($studentQQ) {
		$this->studentQQ = $studentQQ;
	}
	public function getstudentQQ() {
		return $this->studentQQ;
	}
	/*家庭地址*/
	private $studentAddress;
	public function setStudentAddress($studentAddress) {
		$this->studentAddress = $studentAddress;
	}
	public function getstudentAddress() {
		return $this->studentAddress;
	}
	/*附加信息*/
	private $studentMemo;
	public function setStudentMemo($studentMemo) {
		$this->studentMemo = $studentMemo;
	}
	public function getstudentMemo() {
		return $this->studentMemo;
	}
}
?>
